Package oracle.sql

## Class BINARY_FLOAT

- java.lang.Object
- - oracle.sql.Datum
  - - oracle.sql.BINARY_FLOAT

All Implemented Interfaces:
  `java.io.Serializable`

    public class BINARY_FLOAT
    extends Datum

The BINARY_FLOAT class is a representation of the Oracle BINARY_FLOAT datatype. It is intended to be immutable. The user should not try to change its contents once it is constructed.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class oracle.sql.Datum

`ojiOracleDatumWithConnection, targetDatum`

### Constructor Summary

Constructors
`BINARY_FLOAT​(byte[] _bytes)` Construct a BINARY_FLOAT from a byte array.
`BINARY_FLOAT​(float f)` Construct a BINARY_FLOAT from a primitive float.
`BINARY_FLOAT​(java.lang.Boolean b)` Construct a BINARY_FLOAT from an instance of java.lang.Boolean
`BINARY_FLOAT​(java.lang.Float f)` Construct a BINARY_FLOAT from an instance of java.lang.Float.
`BINARY_FLOAT​(java.lang.String s)` Construct a BINARY_FLOAT from an instance of java.lang.String.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `bigDecimalValue()` Convert this to a BigDecimal type.
`double` `doubleValue()` Convert this to a double type.
`float` `floatValue()` Convert this to a float type.
`boolean` `isConvertibleTo​(java.lang.Class<?> jClass)` Test whether this data object can be converted to the specified Java data type.
`java.lang.String` `stringValue()` Convert this data object into a String.
`java.lang.Object` `toJdbc()` Convert this data object into its default Java object type.

### Methods inherited from class oracle.sql.Datum

`asciiStreamValue, binaryStreamValue, booleanValue, bytesEqual, bytesHashCode, byteValue, characterStreamValue, compareBytes, dateValue, equals, getBytes, getConnectionDuringExceptionHandling, getLength, getStream, intValue, isNull, longValue, setBytes, setShareBytes, shareBytes, stringValue, timestampValue, timestampValue, timeValue, timeValue, toClass`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BINARY_FLOAT

    public BINARY_FLOAT​(byte[] _bytes)

Construct a BINARY_FLOAT from a byte array.

Parameters:
  `_bytes` - input data from which this class instance is constructed.

#### BINARY_FLOAT

    public BINARY_FLOAT​(float f)

Construct a BINARY_FLOAT from a primitive float.

Parameters:
  `f` - input data from which this class instance is constructed.

#### BINARY_FLOAT

    public BINARY_FLOAT​(java.lang.Float f)

Construct a BINARY_FLOAT from an instance of java.lang.Float.

Parameters:
  `f` - input data from which this class instance is constructed.

#### BINARY_FLOAT

    public BINARY_FLOAT​(java.lang.String s)
                 throws java.sql.SQLException

Construct a BINARY_FLOAT from an instance of java.lang.String.

Parameters:
  `s` - input data from which this class instance is constructed.
Throws:
  `java.sql.SQLException`

#### BINARY_FLOAT

    public BINARY_FLOAT​(java.lang.Boolean b)

Construct a BINARY_FLOAT from an instance of java.lang.Boolean

Parameters:
  `b` - input data from which this class instance is constructed.

### Method Detail

#### toJdbc

    public java.lang.Object toJdbc()
                            throws java.sql.SQLException

Convert this data object into its default Java object type.

Specified by:
  `toJdbc` in class `Datum`
Returns:
  the data value as a byte array.
Throws:
  `java.sql.SQLException` - if any of the lower layer code throws an exception.

#### isConvertibleTo

    public boolean isConvertibleTo​(java.lang.Class<?> jClass)

Test whether this data object can be converted to the specified Java data type.

Specified by:
  `isConvertibleTo` in class `Datum`
Parameters:
  `jClass` - specifies the Java data type to test against.
Returns:
  true if this data object is convertible to the specified Java class, and a corresponding xxxValue() method is available; otherwise, a false is returned.

#### stringValue

    public java.lang.String stringValue()

Convert this data object into a String.

Overrides:
  `stringValue` in class `Datum`
Returns:
  the data value in String representation.

#### floatValue

    public float floatValue()
                     throws java.sql.SQLException

Convert this to a float type.

Overrides:
  `floatValue` in class `Datum`
Returns:
  The float value of this type
Throws:
  `java.sql.SQLException`

#### doubleValue

    public double doubleValue()
                       throws java.sql.SQLException

Convert this to a double type.

Overrides:
  `doubleValue` in class `Datum`
Returns:
  The double value of this type
Throws:
  `java.sql.SQLException`

#### bigDecimalValue

    public java.math.BigDecimal bigDecimalValue()
                                         throws java.sql.SQLException

Convert this to a BigDecimal type.

Overrides:
  `bigDecimalValue` in class `Datum`
Returns:
  The BigDecimal value of this type
Throws:
  `java.sql.SQLException`